package org.greenstone.android.tipple;

import java.io.DataOutputStream;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.ArrayList;
import java.util.Locale;

import android.location.LocationManager;
import android.os.Bundle;
import android.os.Environment;
import android.preference.PreferenceManager;
import android.speech.tts.TextToSpeech;
import android.speech.tts.TextToSpeech.OnInitListener;
import android.text.method.ScrollingMovementMethod;
import android.util.Log;
import android.view.Gravity;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.content.res.AssetManager;
import android.location.LocationListener;
import android.widget.FrameLayout;
import android.widget.LinearLayout;
import android.widget.LinearLayout.LayoutParams;
import android.widget.TextView;

import org.greenstone.android.tipple.base.TippleActivity;
import org.greenstone.android.tipple.base.TippleLog;
import org.mapsforge.android.maps.MapActivity;
import org.mapsforge.android.maps.MapView;


public class StandaloneTippleActivity extends TippleActivity
{

	
    @Override
    protected void onCreate(Bundle savedInstanceState) 
    {
    	System.err.println("*** TippleActivity::onCreate()");
        super.onCreate(savedInstanceState);
    
        if (!initTippleStore(TippleActivity.DEFAULT_LOC_FILE)) {
        //if (!initTippleStore("hamilton")) {
        //if (!initTippleStore("fieldays")) {
        	System.err.println("Failed to initialize TippleStore on sdcard.  Quiting");
        	onDestroy();
        }
        
        // Set up logging
        log = new TippleLog(this,logDirectory);
        log.optStartLog();
       
       // "refresh" preferences here so views can be configured correctly
       // and ensure showUserTrail is reset to off (as not log file has been selected yet)	
       refreshPreferences(); 
       SharedPreferences.Editor editor = sharedPreferences.edit();
       editor.putBoolean("showUserTrail",false);
       
        // Set up Text to Speech
    	Intent checkIntent = new Intent();
    	checkIntent.setAction(TextToSpeech.Engine.ACTION_CHECK_TTS_DATA);
    	startActivityForResult(checkIntent, TTS_DATA_CHECK);
    	   	
    	//startActivityForResult(new Intent(this, LogFileBrowser.class), SELECT_LOG_FILE);
    	 
    	
    	// Screen dived into:
    	// Top:    GPS location 
    	// Middle: Map view
    	// Bottom: Media player
    
		LinearLayout linearLayout = new LinearLayout(this);
		linearLayout.setOrientation(LinearLayout.VERTICAL);
		
		longlat_view_ = createLongLatView();
        //map_view_ = createMapView("new-zealand.map");
        map_view_ = createMapViewFromAsset("hamilton_allofnz.map");
        
        text_view_ = createTextView();
        text_map_composite_ = compositTextViewOnMapView(map_view_,text_view_);
        
        audio_player_view_ = createAudioPlayerView();
        
		linearLayout.addView(longlat_view_);
        linearLayout.addView(text_map_composite_);
        linearLayout.addView(audio_player_view_);
        
        setContentView(linearLayout); 
    }
    
  

}